Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
/
workspaces
/
{workspace_id}
/
analyses
/
{project_id}
/
search
/
visibility-score
Global Visibility Score
curl --request GET \
  --url https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{project_id}/search/visibility-score \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{project_id}/search/visibility-score"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.shareofsearch.jplus.io/v1/organizations/{organization_id}/workspaces/{workspace_id}/analyses/{project_id}/search/visibility-score', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "value": {
      "value": 123,
      "prev_value": 123,
      "unit": "<string>"
    }
  }
]
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

organization_id
string
required
workspace_id
string
required
project_id
string
required

Query Parameters

date_start
string<date>
required

Start of the date range (YYYY-MM-DD)

date_end
string<date> | null

End of the date range (YYYY-MM-DD). Defaults to end of period containing date_start.

period
enum<string>
default:week

Aggregation period: day, week, month, or year

Available options:
day,
week,
month,
year
sources
enum<string>[] | null
Available options:
Bing,
BingAIO,
ChatGPT,
Perplexity,
Google,
GoogleAIO,
GoogleAIMode,
Claude,
Gemini,
AmazonRufus
thematics
string<uuid>[] | null

Filter by a list of thematic IDs

keyword_type
enum<string>[] | null

Filter by a list of keyword types

Available options:
Generic,
Brand
funnel_stages
enum<string>[] | null

Filter by a list of Funnel Stages

Available options:
ToFu,
MoFu,
BoFu
persona_ids
string[] | null

Filter by a list of persona IDs

topic_ids
string[] | null

Filter by a list of topic IDs

get_neutrals
boolean | null

Filter by to get results related to neutral prompts, without weakness or strength

strength_ids
string[] | null

Filter by a list of strength IDs

weakness_ids
string[] | null

Filter by a list of weakness IDs

Response

Successful Response

group
enum<string>
required

Engine group the score is broken down by.

Available options:
Search Engines,
AI Overview,
Answer Engines
value
Metric · object
required

Visibility score for this engine group, compared to the previous period.